<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Quote extends Model
{
    use HasFactory;

    protected $fillable = [
        'customer_id',
        'date',
        'notes',
    ];

    public function order(): BelongsTo
    {
        return $this->belongsTo(Order::class);
    }

    public function embroideryEntries(): HasMany
    {
        return $this->hasMany(EmbroideryEntry::class);
    }

    public function screenPrintEntries(): HasMany
    {
        return $this->hasMany(ScreenPrintEntry::class);
    }

    public function heatTransferEntries(): HasMany
    {
        return $this->hasMany(HeatTransferEntry::class);
    }
}
